Skip to main content
GET
List Pool Diffs

Authorizations

Authorization
string
header
required

Clerk Machine API Key for authentication

Path Parameters

workspace_id
string
required
farm_id
string
required

Query Parameters

from_time
string<date-time>
required

Start time for the history data in ISO 8601 format with timezone offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2025-09-06T00:00:00Z"

to_time
string<date-time>
required

End time for the history data in ISO 8601 format with timezone offset.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Example:

"2025-09-07T00:00:00Z"

granularity
enum<string>
default:hour

Time resolution of the returned snapshots.

  • 10min: max range 1 day (144 data points). Requires miner_id (single-miner queries only).
  • hour (default): max range 7 days (168 data points).
  • day: max range 90 days (90 data points).
  • week: max range 365 days (52 data points).
Available options:
10min,
hour,
day,
week
Example:

"hour"

Response

Successfully retrieved miner pool diffs

success
boolean
required

Indicates if the request was successful

Example:

true

data
Miner Pool Diff · object[]
required

Array of items

error
null
required

Error object (null on success)

Example:

null